def fit_model(config, model, train_it, test_it, callback):
    trained_model = model.fit(
        train_it,
        steps_per_epoch=len(train_it),
        validation_data=test_it,
        validation_steps=len(test_it),
        epochs=config["knn"]["epochs"],
        verbose=1,
        callbacks=[callback]
    )
    return trained_model


def evaluate_model(model, test_it):
    all_metrics = model.evaluate(test_it, steps=len(test_it), verbose=1)
    _, metrics, recall_0, recall_1 = all_metrics
    print(all_metrics)
    print(_)
    print(metrics)
    print(recall_0)
    print(recall_1)
    print('> %.3f' % (metrics * 100.0))
